Package ru.bitel.oss.systems.inventory.resource.common.bean

# Class DeviceTypeConfig

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.systems.inventory.resource.common.bean.DeviceTypeConfig

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class DeviceTypeConfig extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeviceTypeConfig()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig()`
  `ParameterMap`
  `getConfigParameterMap()`
  `int`
  `getDeviceTypeId()`
  `Date`
  `getModifyTime()`
  `int`
  `getUserId()`
  `String`
  `getUserTitle()`
  `void`
  `setConfig(String config)`
  `void`
  `setDeviceTypeId(int deviceTypeId)`
  `void`
  `setModifyTime(Date modifyTime)`
  `void`
  `setUserId(int userId)`
  `void`
  `setUserTitle(String userTitle)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### DeviceTypeConfig

    public DeviceTypeConfig()

- ## Method Details

  - ### getDeviceTypeId

    public int getDeviceTypeId()

  - ### setDeviceTypeId

    public void setDeviceTypeId(int deviceTypeId)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### getConfigParameterMap

    public ParameterMap getConfigParameterMap()

  - ### getModifyTime

    public Date getModifyTime()

  - ### setModifyTime

    public void setModifyTime(Date modifyTime)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getUserTitle

    public String getUserTitle()

  - ### setUserTitle

    public void setUserTitle(String userTitle)